# Uses of Class
java.lang.ref.ReferenceQueue

Packages that use ReferenceQueue
Package
Description
java.lang.ref
Provides reference-object classes, which support a limited degree of interaction with the garbage collector.

## Uses of ReferenceQueue in java.lang.ref

Constructors in java.lang.ref with parameters of type ReferenceQueue
Modifier
Constructor
Description
``
`PhantomReference​(T referent, ReferenceQueue<? super T> q)`
Creates a new phantom reference that refers to the given object and is registered with the given queue.
``
`SoftReference​(T referent, ReferenceQueue<? super T> q)`
Creates a new soft reference that refers to the given object and is registered with the given queue.
``
`WeakReference​(T referent, ReferenceQueue<? super T> q)`
Creates a new weak reference that refers to the given object and is registered with the given queue.